body {
    max-height: 100vh;
    display: grid;
    grid-template-columns: 250px 1fr;
    grid-template-rows: auto 1fr;
    grid-template-areas: "header header" "menu content" "menu content";
}

body.login-body {
    display: block;
    background: -moz-linear-gradient(top, #003565 50%, #E7EBF0 50%);
    background: -webkit-linear-gradient(top, #003565 50%, #E7EBF0 50%);
    background: linear-gradient(to bottom, #003565 50%, #E7EBF0 50%);
}

.login-form-grid {
    height: 100%;
}

.login-form-grid .ui.primary.button {
    background-color: #035F8E;
}

.login-form-grid .ui.primary.button:hover {
    background-color: #1678C2;
}

.login-form-grid .ui.primary.image.header .content {
    color: #005F91 !important;
}

.login-form-grid > .column {
    max-width: 500px;
}

.main-menu {
    background-color: #003D5E;
    grid-area: menu;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.hamburger {
    display: none;
}

.logo {
    padding: 15px 40px;
    width: 250px;
}

.logo img {
    width: 100%;
}

.menu-item-content i {
    margin-right: 15px !important;
}

.menu-list {
    list-style: none;
    padding: 0;
    margin: 0;
}

.menu-item .btn {
    color: white;
    display: block;
    background-color: transparent;
    border: none;
    outline: none;
    margin: 0;
    padding: 0;
    width: 100%;
    text-align: left;
    cursor: pointer;
}

.menu-item:hover .btn {
    color: white;
    background-color: #005E91;
}

.menu-item-content {
    padding: 30px 0 30px 30px;
    font-size: 14px;
    display: block;
}

.menu-item-content:hover {
    padding-left: 33px;
}

.header {
    grid-area: header;
    color: white;
    display: flex;
}

.header-content {
    background-color: #003D5E;
    flex-grow: 1;
    display: flex;
    align-items: center;
}

.header-text {
    vertical-align: center;
    padding-left: 40px;
}

.content {
    grid-area: content;
    padding: 20px;
    display: flex;
    flex-direction: column;
    width: 100%;
}

.user-search {
    display: flex;
}

.user-search .ui.icon.input {
    margin-right: 10px;
    flex-grow: 1;
}

.user-search .button {
    line-height: 15px !important;
    margin: 0 !important;
}

.table-container {
    margin-top: 20px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.table-container table {
    width: 100%;
    table-layout: fixed;
    border-collapse: collapse;
}

.tbl-header {
    background-color: #003D5E;
    color: white;
}

.tbl-header th {
    padding: 12px 20px;
    text-align: left;
    font-weight: 900;
    font-size: 14px;
}

.tbl-content {
    overflow-x: auto;
    border: 1px solid #003D5E;
    border-top: 0;
    position: relative;
    flex-grow: 1;
}

.tbl-content table {
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
}

.tbl-content tr {
    border-bottom: 1px solid #9fa0a2;
}

.tbl-content tr:nth-child(2n) {
    background: #f4f4f4;
}

.tbl-content tr:hover {
    background: #e8f6ff;
}

.tbl-content td {
    padding: 12px 12px;
    text-align: left;
    vertical-align: middle;
    font-weight: 300;
    font-size: 13px;
    border-bottom: 1px solid rgba(133, 133, 133, 0.25);
}

.tbl-content .button {
    margin-right: 20px;
}

.tbl-content .delete-button {
    color: #D01919;
}

.tbl-content .delete-button:hover {
    color: #db2828;
}

.add-button:hover {
    cursor: pointer;
    text-decoration: underline;
}

.checkbox label {
    cursor: pointer !important;
}

.ui.selection.dropdown {
    border-radius: 0 !important;
}

.ui.selection.dropdown .menu {
    border-radius: 0 !important;
}

.ui.primary.button {
    background-color: #005E91 !important;
}

.ui.primary.button:hover {
    background-color: #287098 !important;
}

input {
    border-radius: 0 !important;
}

@media screen and (max-width: 1144px) {
    body {
        grid-template-columns: 180px 1fr;
    }

    .logo {
        padding: 10px 20px;
        width: 180px;
    }

    a.button {
        display: block;
    }
}

@media screen and (max-width: 560px) {
    body {
        grid-template-columns: 0 1fr;
    }

    .logo {
        width: 0;
        padding: 20px 0;
    }

    .main-menu.opened {
        transform: translateX(0);
    }

    .main-menu {
        transform: translateX(-180px);
        position: absolute;
        bottom: 0;
        top: 0;
        left: 0;
        right: 0;
        width: 180px;
        z-index: 2;
        transition: .3s;
    }

    .header-text {
        padding: 0;
    }

    .hamburger {
        display: block;
        padding: 0 10px;
    }

    a.button {
        display: inline;
        margin: 0 !important;
    }
    
    .hidden {
        display: none;
    }

    .table-container td, .table-container th {
        font-size: 9px;
    }

}